| libimobiledevice 1.4.0 API Documentation - Return to Homepage

Macros | Typedefs | Enumerations | Functions
file_relay.h File Reference

## Description

Retrieve compressed CPIO archives.

## Macros
#define | FILE_RELAY_SERVICE_NAME "com.apple.mobile.file_relay"
| Service identifier passed to lockdownd_start_service() to start the file relay service.

## Typedefs
typedef file_relay_client_private * | file_relay_client_t
| The client handle.

## Enumerations
enum | file_relay_error_t { FILE_RELAY_E_SUCCESS = 0 , FILE_RELAY_E_INVALID_ARG = -1 , FILE_RELAY_E_PLIST_ERROR = -2 , FILE_RELAY_E_MUX_ERROR = -3 , FILE_RELAY_E_INVALID_SOURCE = -4 , FILE_RELAY_E_STAGING_EMPTY = -5 , FILE_RELAY_E_PERMISSION_DENIED = -6 , FILE_RELAY_E_UNKNOWN_ERROR = -256 }
| Error Codes.

## Functions
LIBIMOBILEDEVICE_API file_relay_error_t | file_relay_client_new (idevice_t device, lockdownd_service_descriptor_t service, file_relay_client_t *client)
| Connects to the file_relay service on the specified device.
LIBIMOBILEDEVICE_API file_relay_error_t | file_relay_client_start_service (idevice_t device, file_relay_client_t *client, const char *label)
| Starts a new file_relay service on the specified device and connects to it.
LIBIMOBILEDEVICE_API file_relay_error_t | file_relay_client_free (file_relay_client_t client)
| Disconnects a file_relay client from the device and frees up the file_relay client data.
LIBIMOBILEDEVICE_API file_relay_error_t | file_relay_request_sources (file_relay_client_t client, const char **sources, idevice_connection_t *connection)
| Request data for the given sources.
LIBIMOBILEDEVICE_API file_relay_error_t | file_relay_request_sources_timeout (file_relay_client_t client, const char **sources, idevice_connection_t *connection, unsigned int timeout)
| Request data for the given sources.